gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Information exchange through the Window Server selection mechanism. The X selection mechanism provides a way to transfer arbitrary chunks of data between programs. A selection is a essentially a named clipboard, identified by a string interned as a GdkAtom. By claiming ownership of a selection, an application indicates that it will be responsible for supplying its contents. The most common selections are PRIMARY and CLIPBOARD.

The contents of a selection can be represented in a number of formats, called targets. Each target is identified by an atom. A list of all possible targets supported by the selection owner can be retrieved by requesting the special target TARGETS. When a selection is retrieved, the data is accompanied by a type (an atom), and a format (an integer, representing the number of bits per item). See Properties and Atoms for more information.

The functions in this section only contain the lowlevel parts of the selection protocol. A considerably more complicated implementation is needed on top of this. GTK+ contains such an implementation in the functions in gtkselection.h and programmers should use those functions instead of the ones presented here. If you plan to implement selection handling directly on top of the functions here, you should refer to the X Inter-client Communication Conventions Manual (ICCCM).

- Constructor
  2.12.0.0
  To be added
  To be added
- Field
  2.12.0.0
  Gdk.Atom The atom representing the clipboard.
- Method
  2.12.0.0
  System.Void `` `` `` `` The An atom identifying the selection to get the contents of. the form in which to retrieve the selection. the timestamp to use when retrieving the selection. The selection owner may refuse the request if it did not own the selection at the time indicated by the timestamp. Retrieves the contents of a selection in a given form.
- Method
  2.12.0.0
  Gdk.Window `` an atom indentifying a selection. Determines the owner of the given selection. If there is a selection owner for this window, and it is a window known to the current process, the that owns the selection, otherwise . Note that the return value may be owned by a different process if a foreign window was previously created for that window, but a new foreign window will never be created by this call.
- Method
  2.12.0.0
  Gdk.Window `` `` The where the selection is an atom indentifying a selection. Determine the owner of the given selection. if there is a selection owner for this window, and it is a window known to the current process, the that owns the selection, otherwise Note that the return value may be owned by a different process if a foreign window was previously created for that window, but a new foreign window will never be created by this call.
- Method
  2.12.0.0
  System.Boolean `` `` `` `` a or NULL to indicate that the the owner for the given should be unset. An identifying a selection. timestamp to use when setting the selection. If this is older than the timestamp given last time the owner was set for the given selection, the request will be ignored. If and the new owner is different from the current owner, the current owner will be sent a SelectionClear event. Sets the owner of the given selection. if the selection owner was successfully changed to owner, otherwise
- Method
  2.12.0.0
  System.Boolean `` `` `` `` `` The a or NULL to indicate that the the owner for the given should be unset. An atom identifying a selection. Timestamp to use when setting the selection. If this is older than the timestamp given last time the owner was set for the given selection, the request will be ignored. if TRUE, and the new owner is different from the current owner, the current owner will be sent a SelectionClear event. Sets the owner as the current owner of the selection selection. TRUE if the selection owner was successfully changed to owner, otherwise FALSE.
- Field
  2.12.0.0
  Gdk.Atom An Atom representing the PRIMARY selection.
- Field
  2.12.0.0
  Gdk.Atom The atom for the secondary selection
- Method
  2.12.0.0
  System.Void `` `` `` `` `` window to which to deliver response. selection that was requested. target that was selected. property in which the selection owner stored the data, or GDK_NONE to indicate that the request was rejected. timestamp. Sends a response to SelectionRequest event. To be added
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` The window to which to deliver response. selection that was requested. target that was selected. property in which the selection owner stored the data, or GDK_NONE to indicate that the request was rejected. timestamp. Send a response to SelectionRequest event. To be added